%define firefox_ver	2.0.0.12

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	multimedia plugin for webbrowsers compatible to Mozilla plugins
Name:		mozplugger
Version:	1.10.2
Release:	1
License:	GNU/GPL 
URL:		http://mozplugger.mozdev.org
Group:		Video
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libX11-devel
BuildRequires: 	glibc-devel


%description
MozPlugger is a modification of Plugger, a very small multimedia plugin for the Unix versions of Netscape, Mozilla, and Opera which uses external programs to show and play many file formats. This modification fixes bugs which occurred with Mozilla 1.x and allows a player to stream a media file directly from the URL.

%prep
%setup -q -n %{name}-%{version}

%build
make linux

%install
rm -rf $RPM_BUILD_ROOT
make install root=$RPM_BUILD_ROOT


%files
%defattr(-,root,root)
#%doc ChangeLog LICENSE README TODO README.CCux DOCS/tech/javascript.txt
%config(noreplace) %{_sysconfdir}/mozpluggerrc
%_bindir
%_libdir/mozilla/plugins/*.so
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.10.2-1
- version update
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.0-1
- Initial Release
